#
# Conditional build:
%bcond_with	tests		# do not perform "make test"
#
%define	pdir	Mail
%define	pnam	DKIM
Summary:	Mail::DKIM - Signs/verifies Internet mail with DKIM/DomainKey signatures
Summary(pl.UTF-8):	Mail::DKIM - podpisywanie/sprawdzanie poczty przy użyciu podpisów DKIM/DomainKey
Name:		perl-Mail-DKIM
Version:	0.58
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Mail/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9b03bcd334cbf22a93fd94af9935e11b
URL:		http://search.cpan.org/dist/Mail-DKIM/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Crypt-OpenSSL-RSA >= 0.22
BuildRequires:	perl-Digest-SHA
BuildRequires:	perl-Digest-SHA1
BuildRequires:	perl-Error
BuildRequires:	perl-Mail-AuthenticationResults >= 1.20180215
BuildRequires:	perl-MailTools
BuildRequires:	perl-Net-DNS
BuildRequires:	perl-Net-DNS-Resolver-Mock
BuildRequires:	perl-Test-RequiresInternet
# for YAML::XS
BuildRequires:	perl-YAML-LibYAML
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Perl module is part of the dkimproxy program, located at
<http://jason.long.name/dkimproxy/>. I've tried to abstract out the
DKIM parts into this module, for use in other programs.

The Mail::DKIM module uses an object-oriented interface. You use one
of two different classes, depending on whether you are signing or
verifying a message. To sign, use the Mail::DKIM::Signer class. To
verify, use the Mail::DKIM::Verifier class. Simple, eh?

%description -l pl.UTF-8
Ten moduł Perla jest częścią programu dkimproxy, który można znaleźć
pod <http://jason.long.name/dkimproxy/>. Jest próbą wyodrębnienia
części DKIM do modułu w celu umożliwienia użycia przez inne programy.

Moduł Mail::DKIM wykorzystuje interfejs zorientowany obiektowo. Używa
się jednej z dwóch różnych klas w zależności od działania -
podpisywania lub sprawdzania podpisu wiadomości. Aby podpisać, należy
użyć klasy Mail::DKIM::Signer. Aby sprawdzić podpis, należy użyć klasy
Mail::DKIM::Verifier. Proste, prawda?

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog Changes README.md TODO
%{perl_vendorlib}/Mail/*.pm
%{perl_vendorlib}/Mail/DKIM
%{_mandir}/man3/*
%changelog
* Mon May 18 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Mail-DKIM.git;a=log;h=master

* Sat Apr 25 2020 Adam Osuchowski <adwol@pld-linux.org> 92ac4fd
- up to 0.58

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 81778a3
- drop obsolete and outdated manual inclusion of rpm macros

* Fri Apr 12 2019 Adam Gołębiowski <adamg@pld-linux.org> 3fac4b3
- updated to 0.55

* Mon May 28 2018 Marcin Krol <hawk@tld-linux.org> 3090de8
- updated to 0.53

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> 40c9003
- up to 0.39

* Wed Aug 18 2010 Jan Rękorajski <baggins@pld-linux.org> 24380e9
- restore source0 url

* Wed Aug 18 2010 Jan Rękorajski <baggins@pld-linux.org> b1d0e28
- fetch source

* Wed Aug 18 2010 Jan Rękorajski <baggins@pld-linux.org> 8620ab4
- 0.38

* Thu Sep 17 2009 amateja <amateja@pld-linux.org> 8d49564
- tests switched off by default because they keep trying to access /etc/resolv.conf

* Thu Sep 17 2009 amateja <amateja@pld-linux.org> 0a9cfef
- updated to 0.37

* Thu Feb 05 2009 Maciej Pijanka <agaran@pld-linux.org> f35db47
- up to 0.32

* Wed May 07 2008 Elan Ruusamäe <glen@pld-linux.org> 07a9526
- update to 0.31 by Eero Hänninen

* Wed Dec 19 2007 zbyniu <zbyniu@pld-linux.org> eac158d
- up to 0.29

* Tue May 22 2007 Elan Ruusamäe <glen@pld-linux.org> 6b5a61d
- rel 2

* Wed May 09 2007 Jakub Bogusz <qboosh@pld-linux.org> 01c4088
- pl

* Thu May 03 2007 Adam Gołębiowski <adamg@pld-linux.org> 163de4f
- t/verifier.t segfaults on perl-Crypt-OpenSSL-RSA-0.21

* Thu May 03 2007 Adam Gołębiowski <adamg@pld-linux.org> 91e5a24
- new

